E-MailRelay

Classes | Namespaces
gdnsblock.h File Reference
`#include "gdef.h"`
`#include "gaddress.h"`
`#include "gdatetime.h"`
`#include "geventhandler.h"`
`#include "gexceptionsink.h"`
`#include "gexception.h"`
`#include "gstrings.h"`
`#include "gtimer.h"`
`#include "gsocket.h"`
`#include <vector>`

Go to the source code of this file.

## Classes
class | GNet::DnsBlockServerResult
| A result structure for one DNSBL server. More...
class | GNet::DnsBlockResult
| A result structure for GNet::DnsBlock, as delivered by the DnsBlockCallback interface. More...
class | GNet::DnsBlock
| Implements DNS blocklisting, as per RFC-5782. More...
class | GNet::DnsBlockCallback
| A callback interface for GNet::DnsBlock. More...

## Namespaces
namespace | GNet
| Network classes.